你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Diagnostics - List Site Detector Responses

列表站点检测器响应的说明

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{siteName}/detectors?api-version=2025-03-01

URI 参数

名称 必需 类型 说明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

siteName
path True

string

站点名称

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

DetectorResponseCollection

Azure作已成功完成。

Other Status Codes

DefaultErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Get App Detector Responses
Get App Slot Detector Responses

Get App Detector Responses

示例请求

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/detectors?api-version=2025-03-01

示例响应

{
  "value": [
    {
      "name": "runtimeavailability",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/detectors/runtimeavailability",
      "properties": {
        "dataset": [],
        "metadata": {
          "description": "This detector analyzes the requests to your application.",
          "category": "Availability and Performance"
        }
      }
    }
  ]
}

Get App Slot Detector Responses

示例请求

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/detectors?api-version=2025-03-01

示例响应

{
  "value": [
    {
      "name": "runtimeavailability",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/detectors/runtimeavailability",
      "properties": {
        "dataset": [],
        "metadata": {
          "description": "This detector analyzes the requests to your application.",
          "category": "Availability and Performance"
        }
      }
    }
  ]
}

定义

名称 说明
createdByType

创建资源的标识的类型。

DataProviderMetadata

数据提供程序的其他配置

DataTableResponseColumn

列定义

DataTableResponseObject

定义列和原始行值的数据表

DefaultErrorResponse

应用服务错误响应。

DefaultErrorResponseError

错误模型。

DefaultErrorResponseErrorDetailsItem

详细错误。

DetectorInfo

探测器的定义

DetectorResponse

表示来自检测器的响应的类

DetectorResponseCollection

检测器响应的集合

DetectorType

该检测器是否为分析检测器。

DiagnosticData

带有渲染说明的数据集

InsightStatus

检测器生成的最严重见解的级别。

KeyValuePairStringObject
QueryUtterancesResult

话语查询的结果。

QueryUtterancesResults

检测器适用的建议话语

Rendering

呈现数据的说明

RenderingType

渲染类型

SampleUtterance

示例话语。

Status

确定检测器生成的最严重见解的状态。

SupportTopic

定义唯一的支持主题

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

DataProviderMetadata

数据提供程序的其他配置

名称 类型 说明
propertyBag

KeyValuePairStringObject[]

数据提供程序的设置

providerName

string

DataTableResponseColumn

列定义

名称 类型 说明
columnName

string

列的名称

columnType

string

列类型

dataType

string

数据类型,类似于“String”或“Int32”。

DataTableResponseObject

定义列和原始行值的数据表

名称 类型 说明
columns

DataTableResponseColumn[]

具有数据类型的列列表

rows

string[]

原始行值

tableName

string

表的名称

DefaultErrorResponse

应用服务错误响应。

名称 类型 说明
error

DefaultErrorResponseError

错误模型。

DefaultErrorResponseError

错误模型。

名称 类型 说明
code

string

标准化字符串,以编程方式识别错误。

details

DefaultErrorResponseErrorDetailsItem[]

详细错误。

innererror

string

调试错误的更多信息。

message

string

详细的错误描述和调试信息。

target

string

详细的错误描述和调试信息。

DefaultErrorResponseErrorDetailsItem

详细错误。

名称 类型 说明
code

string

标准化字符串,以编程方式识别错误。

message

string

详细的错误描述和调试信息。

target

string

详细的错误描述和调试信息。

DetectorInfo

探测器的定义

名称 类型 说明
analysisType

string[]

此检测器应适用的分析类型。

author

string

探测器的作者。

category

string

问题类别。 这用于组织探测器的组。

description

string

探测器及其用途的简短描述。

id

string

检测器的 ID

name

string

检测器名称

score

number (float)

定义检测器的分数,以支持基于 ML 的匹配。

supportTopicList

SupportTopic[]

启用此检测器的支持主题列表。

type

DetectorType

该检测器是否为分析检测器。

DetectorResponse

表示来自检测器的响应的类

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

kind

string

资源类型。

name

string

资源的名称

properties.dataProvidersMetadata

DataProviderMetadata[]

UI 要使用的不同数据提供程序的其他配置

properties.dataset

DiagnosticData[]

数据集

properties.metadata

DetectorInfo

检测器的元数据

properties.status

Status

指示最严重见解的状态。

properties.suggestedUtterances

QueryUtterancesResults

检测器可能适用的建议话语。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

DetectorResponseCollection

检测器响应的集合

名称 类型 说明
nextLink

string (uri)

指向下一页项目的链接

value

DetectorResponse[]

本页的DetectorResponse项目

DetectorType

该检测器是否为分析检测器。

说明
Detector
Analysis
CategoryOverview

DiagnosticData

带有渲染说明的数据集

名称 类型 说明
renderingProperties

Rendering

描述表应如何呈现的属性

table

DataTableResponseObject

表格形式的数据

InsightStatus

检测器生成的最严重见解的级别。

说明
Critical
Warning
Info
Success
None

KeyValuePairStringObject

名称 类型 说明
key

string

value

任何对象

QueryUtterancesResult

话语查询的结果。

名称 类型 说明
sampleUtterance

SampleUtterance

示例话语。

score

number (float)

示例话语的分数。

QueryUtterancesResults

检测器适用的建议话语

名称 类型 说明
query

string

搜索查询。

results

QueryUtterancesResult[]

搜索查询的话语结果数组。

Rendering

呈现数据的说明

名称 类型 说明
description

string

有助于解释的数据描述

title

string

数据标题

type

RenderingType

渲染类型

RenderingType

渲染类型

说明
NoGraph
Table
TimeSeries
TimeSeriesPerInstance
PieChart
DataSummary
Email
Insights
DynamicInsight
Markdown
Detector
DropDown
Card
Solution
Guage
Form
ChangeSets
ChangeAnalysisOnboarding
ChangesView
AppInsight
DependencyGraph
DownTime
SummaryCard
SearchComponent
AppInsightEnablement

SampleUtterance

示例话语。

名称 类型 说明
links

string[]

示例话语的 Links 属性。

qid

string

示例话语的问题 ID(对于 stackoverflow 问题标题)。

text

string

示例话语的 Text 属性。

Status

确定检测器生成的最严重见解的状态。

名称 类型 说明
message

string

描述性信息。

statusId

InsightStatus

检测器生成的最严重见解的级别。

SupportTopic

定义唯一的支持主题

名称 类型 说明
id

string

支持主题 ID

pesId

string

唯一资源 ID

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。